<template>
    <select :id="id" class="form-select form-select-sm"
        v-model="selectedPresentationId"
        @change="this.$emit('update:selectedPresentationId', this.selectedPresentationId)">
        <option v-for="presentation in presentationsList"
            :key="presentation.id"
            :value="presentation.id">
            {{presentation.name}}
        </option>
    </select>
</template>

<script>
    export default {
        name: 'BudgetPresentationDropdown',
        props: {
            id: {
                type: String,
                default: 'presentations-dropdown'
            },
            presentationsList: Array,
            selectedPresentationId: Number
        },
        emits: ['update:selectedPresentationId']
    }
</script>